Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 603230 - ocaml-sqlite-devel doesn't work properly without sqlite-devel, but it's not a dependency
ocaml-sqlite-devel doesn't work properly without sqlite-devel, but it's not a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ocaml-sqlite (Show other bugs)
15
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 20:07 EDT by bugzilla
Modified: 2012-08-07 16:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bugzilla 2010-06-11 20:07:07 EDT
Description of problem:

Programs that use ocaml-sqlite-devel cannot be compiled to native code with ocamlfind unless sqlite-devel is installed.  However, ocaml-sqlite-devel does not list sqlite-devel as a dependency.  It probably should.

Version-Release number of selected component (if applicable): 1.5.6-3.fc13

Steps to Reproduce:

1. Ensure neither ocaml-sqlite-devel nor sqlite-devel is installed.
2. Install ocaml-sqlite-devel.
3. Create an empty file called "empty.ml".
4. Execute "ocamlfind ocamlopt -package sqlite3 -linkpkg empty.ml".
  
Actual results: 

  /usr/bin/ld: cannot find -lsqlite3
  collect2: ld returned 1 exit status
  File "caml_startup", line 1, characters 0-1:
  Error: Error during linking

Expected results:

  Successful creation of a.out
Comment 1 Bug Zapper 2011-06-02 07:10:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 14:02:43 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Michael Ekstrand 2011-06-28 11:25:16 EDT
I just checked, and this bug is still present in F15.

Also, the ocaml-sqlite-devel package does not depend on either 'ocaml' or 'ocaml-findlib'; should it depend on these packages so that it can actually do something, or is it assumed that the user has OCaml installed?
Comment 4 Richard W.M. Jones 2011-06-28 13:35:36 EDT
(In reply to comment #3)
> I just checked, and this bug is still present in F15.
> 
> Also, the ocaml-sqlite-devel package does not depend on either 'ocaml' or
> 'ocaml-findlib'; should it depend on these packages so that it can actually do
> something, or is it assumed that the user has OCaml installed?

It should get the dependencies it needs automatically.
RPM itself knows about OCaml and (should) all deps like
ocaml(ModuleName) = MD5SUM, ocaml(runtime) = VERSION.

For the current ocaml-sqlite package from Fedora 15, everything
looks OK to me:

$ rpm -qR ocaml-sqlite
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
ocaml(Array) = 720848e0b508273805ef38d884a57618
ocaml(Buffer) = 40bf652f22a33a7cfa05ee1dd5e0d7e4
ocaml(Callback) = e28543018d3991d2a7e9e4233bc16727
ocaml(Int32) = c91c0bbb9f7670b10cdc0f2dcc57c5f9
ocaml(Int64) = 8f09e1331fe8af2d7b954585551cbe4f
ocaml(Obj) = 3aeb33d11433c95bb62053c65665eb76
ocaml(Pervasives) = db723a1798b122e08919a2bfed062514
ocaml(Printf) = 55250c391e05a095d3696890d0d554a2
ocaml(String) = 06ab5e6944c47322b9d305c0aa0b07ff
ocaml(runtime) = 3.12.0
rpmlib(PayloadIsXz) <= 5.2-1
Comment 5 Richard W.M. Jones 2011-06-28 13:36:27 EDT
The reported bug is a bit different though.  ocaml-sqlite-devel
needs a dependency on sqlite-devel (for some reason, not quite
sure why).
Comment 6 Michael Ekstrand 2011-06-28 14:16:12 EDT
With respect to the OCaml dependencies, it mostly surprised me that the ocaml-sqlite-devel package does not Require: the OCaml compiler (which seems to be ocaml(compiler)), as it seems useless without it.  I found this while trying to verify the continued presence of this bug in a mock chroot.
Comment 7 Stéphane Glondu 2011-08-19 06:37:26 EDT
(In reply to comment #5)
> The reported bug is a bit different though.  ocaml-sqlite-devel
> needs a dependency on sqlite-devel (for some reason, not quite
> sure why).

Linking against sqlite3.cmxa means linking against -lsqlite3. I don't know about Fedora, but in Debian, the .so files (actually, links, without the version appended) are provided by -dev packages. The -dev package is also probably needed to link a custom bytecode executable.
Comment 8 Fedora End Of Life 2012-08-07 16:16:50 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.